
class PostParamsModel {
  double? versionID;
  int? channel;
  int? languageID;
  String? mobileType;
  String? logInTokenID;
  String? tokenID;

  PostParamsModel({this.versionID, this.channel, this.languageID, this.mobileType, this.logInTokenID, this.tokenID});

  PostParamsModel.fromJson(Map<String, dynamic> json) {
    versionID = json['VersionID'];
    channel = json['Channel'];
    languageID = json['LanguageID'];
    mobileType = json['MobileType'];
    logInTokenID = json['LogInTokenID'];
    tokenID = json['TokenID'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['VersionID'] = this.versionID;
    data['Channel'] = this.channel;
    data['LanguageID'] = this.languageID;
    data['MobileType'] = this.mobileType;
    data['LogInTokenID'] = this.logInTokenID;
    data['TokenID'] = this.tokenID;
    return data;
  }

  set setLogInTokenID(String? token) => logInTokenID = token;

  set setTokenID(String? token) => tokenID = token;
}
